
Name:           media-downloader
Version:        2.6.0
Release:        1%{?dist}
Summary:        Youtube Downloader GUI
License:        GPLv3
URL:            https://github.com/mhogomchungu/media-downloader
Source0:        %url/archive/refs/tags/2.6.0.tar.gz#/%{name}-%{version}.tar.gz
Source1:        de_DE.ts
Patch0:         %{name}-de.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  desktop-file-utils
BuildRequires:  qt5-linguist
Requires: yt-dlp
Requires: aria2
Requires: youtube-dl

%description
This project is a Qt/C++ based frontend to youtube-dl and it can be
used to download any media file supported by youtube-dl.

%prep
%autosetup -p0 -n %{name}-%{version}
cp -v %{SOURCE1}  translations

%build
# Create translation files.
lrelease-qt5 translations/*.ts
mkdir build && pushd build
%cmake  -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=release ..
%cmake_build
popd

%install
pushd build
%cmake_install
popd
%find_lang %{name} --all-name --with-qt

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Oct 07 2022 Martin Gansser <martinkg@fedoraproject.org> - 2.6.0-1
- Initial package
